@Echo off 
REM Fichier INSTALL.BAT pour copier quelques fichiers indispensable 

setlocal enableDelayedExpansion

Set "VERSION=7.00"
Set "application=Gestion-Pharma"

ECHO 
echo Installation de %application%            version %VERSION%
ECHO 
rem echo Il faut excuter ce fichier en tant quAdministrateur
rem echo (Clique droite sur ce fichier)
echo=&echo=

REM valeurs par defaut :
Set "KEY="
Set "MWB=32"
Set "MOB=32"
Set "OFFICE="
Set "YEAR="

echo=CONFIGURATION CONSTATE :

Echo=%PROCESSOR_ARCHITECTURE% %PROCESSOR_ARCHITEW6432%|Find "64">Nul&&(Set "KEY=\Wow6432Node"&Set "MWB=64")
ECHO Windows %MWB%-bits

for /f "tokens=2 delims==" %%O in ('ftype ^|findstr /r /I "\\OFFICE[0-9]*" 2^>nul') do ( 
set "tokens=%%~O" 
goto END_TOKENS 
) 
:END_TOKENS 

for %%P in (%tokens%) do ( 
set "officePath=%%~dpP" 
for %%V in ("!officePath:~0,-1!") do ( 
set "officeVersion=%%~nV" 
goto END_OFFICEPATH 
) 
) 
:END_OFFICEPATH 

if "%officeVersion%" == "Office11" (set "OFFICE=11.0"&set "YEAR=2003") 
if "%officeVersion%" == "Office12" (set "OFFICE=12.0"&set "YEAR=2007") 
if "%officeVersion%" == "Office14" (set "OFFICE=14.0"&set "YEAR=2010") 
if "%officeVersion%" == "Office15" (set "OFFICE=15.0"&set "YEAR=2013")
if "%officeVersion%" == "Office16" (set "OFFICE=16.0"&set "YEAR=2016")  
  
if "%officeVersion%" == "" (
echo ERREUR : Microsoft Office semble ne pas tre install ou Office est trop vieille
echo Il faut au moins Office 2007
goto :EndIt 
)

Set "KEY=HKLM\SOFTWARE\Microsoft\Office\%OFFICE%\Registration"

rem Reg Query %KEY% /k /f "*0FF1CE}"

For /f "Delims=" %%a In ('Reg Query %KEY% /k /f "*0FF1CE}"') Do (
	If Not Defined GUID Set "GUID=%%~nxa")
If Not Defined GUID (Echo=Larchitecture dOFFICE nest pas trouv&GoTo :EndIt)


If %GUID:~20,1% Equ 1 Set "MOB=64"

echo Office %YEAR% (%OFFICE%) %MOB%-bits

:EndIt


rem que pour info
Set Off_Ver="Produit inconnu"
:2007 Standard
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\STANDARDR" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2007 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\PROPLUS" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2007 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\PROR" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

:2010 Standard
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office14.SingleImage" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2010 runtime
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office14.AccessRT" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2010 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office14.PROPLUS" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

:2013 Standard
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office15.SingleImage" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2013 runtime
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office15.AccessRT" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2013 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office15.PROPLUS" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

:2016 Standard
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office16.SingleImage" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2016 runtime
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office16.AccessRT" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2016 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office16.PROPLUS" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

:2013 365 Home Premium
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\O365HomePremRetail - en-us" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
echo Nom du produit : %Off_Ver% 



echo=&echo=
if not exist C:\%application% GOTO echec


if exist  "%USERPROFILE%\Bureau" cd "%USERPROFILE%\Bureau"
if exist  "%USERPROFILE%\Desktop" cd "%USERPROFILE%\Desktop"

if %MOB%==64 (
if not exist  "C:\%application%\%application%-%VERSION%-64bits.accde" goto :echec
Copy /y C:\%application%\"%application% %VERSION%-64.lnk" .\"%application% %VERSION%.lnk" >nul
) else (
if not exist  "C:\%application%\%application%-%VERSION%-32bits.accde" goto :echec
Copy /y C:\%application%\"%application% %VERSION%-32.lnk" .\"%application% %VERSION%.lnk" >nul
)


if exist %WinDir%\Fonts\LABOX___.ttf GOTO volgendfont
 
copy /b /y C:\%application%\LABOX___.ttf %WinDir%\Fonts 
start "" /min explorer %WinDir%\fonts\LABOX___.ttf

echo=&echo=
echo Dans la fentre pour installer le fichier de la police LABOX___.ttf 
echo cliquez sur OUVRIR, puis TERMINER
echo=&echo=

if exist %WinDir%\Fonts\IDAutomationHC39M.ttf GOTO fini
 
copy /b /y C:\%application%\IDAutomationHC39M.ttf %WinDir%\Fonts 
start "" /min explorer %WinDir%\fonts\IDAutomationHC39M.ttf

echo=&echo=
echo Dans la fentre pour installer le fichier de la police IDAutomationHC39M.ttf 
echo cliquez sur OUVRIR, puis TERMINER
echo=&echo=

:volgendfont
echo=&echo=
echo Si vous installez %application% pour la premire fois:
echo=&echo=
echo 	Demarrez Microsoft Access sans base de donnes
echo 	Modifiez la securit des macros et lemplacement approuve dans les OPTIONS Access par le gros bouton Office  gauche en haut.
echo		(voir le manuel)
echo	Confirmez et fermez Microsoft Access
echo=&echo=
echo=&echo=
echo Le fichier install(.bat) doit tre execut pour chaque utilisateur et 
echo sur chaque ordinateur susceptible dutiliser %application%

:fini
echo Vous trouverez licne pour dmarrer %application% sur votre bureau.
echo (Il faut ventuellement raffrachir votre bureau : [F5] sur le bureau)
echo=&echo=
ECHO 
echo                 FINI et cest russi.
ECHO 
echo=&echo=
Pause
exit

:echec
ECHO ======================================================
echo ECHEC de linstallation de %application%
ECHO 
echo CAUSE PROBABLE :
echo=&echo=
echo %application%.zip nest pas correctement dezipp.
echo Veuillez extraire %application%.zip AVEC les rpertoires (use folder names)
echo et directement dans C:\
echo=&echo=
echo Apres extraction de %application%.zip le rpertoire principal C:\%application% doit exister.
echo Ainsi au moins les fichiers :
echo 	%application%-tables(.mdb) ou %application%-tables(.accdb)
echo 	FactureReport(.accdb)
echo 	%application%-%VERSION%-32bits(.accde) ou
echo 	%application%-%VERSION%-64bits(.accde)
echo 	%application%(.bmp)
echo 	LABOX___(.ttf)
echo 	IDAutomationHC39M(.ttf)

echo doivent exister.
echo (Les extensions des fichiers ne sont peut-tre pas visibles)
ECHO 
echo=&echo=

pause 